Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.domain
Class RevocationContractRequest.Builder

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.domain.RevocationContractRequest.Builder

Enclosing class:
  RevocationContractRequest

    public static final class RevocationContractRequest.Builder

extends Object

`RevocationContractRequest` builder static inner class.

Method Summary
`RevocationContractRequest` | `build()` Returns a `RevocationContractRequest` built from the parameters previously set.
`RevocationContractRequest.Builder` | `publicKeyIdentifier(byte[] publicKeyIdentifier)` Sets the `publicKeyIdentifier` and returns a reference to this Builder so that the methods can be chained together.
`RevocationContractRequest.Builder` | `revocationReason(RevocationReasonType revocationReason)` Sets the `revocationReason` and returns a reference to this Builder so that the methods can be chained together.
`RevocationContractRequest.Builder` | `signer(Actor signer)` Sets the `signer` and returns a reference to this Builder so that the methods can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### publicKeyIdentifier

    public RevocationContractRequest.Builder publicKeyIdentifier(byte[] publicKeyIdentifier)

  Sets the `publicKeyIdentifier` and returns a reference to this Builder so that the methods can be chained together.

  Parameters:
    `publicKeyIdentifier` - the `publicKeyIdentifier` to set
  Returns:
    a reference to this Builder

### signer

    public RevocationContractRequest.Builder signer(Actor signer)

  Sets the `signer` and returns a reference to this Builder so that the methods can be chained together.

  Parameters:
    `signer` - the `signer` to set
  Returns:
    a reference to this Builder

### revocationReason

    public RevocationContractRequest.Builder revocationReason(RevocationReasonType revocationReason)

  Sets the `revocationReason` and returns a reference to this Builder so that the methods can be chained together.

  Parameters:
    `revocationReason` - the `revocationReason` to set
  Returns:
    a reference to this Builder

### build

    public RevocationContractRequest build()
                                    throws TechnicalConnectorException

  Returns a `RevocationContractRequest` built from the parameters previously set.

  Returns:
    a `RevocationContractRequest` built with parameters of this `RevocationContractRequest.Builder`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.